## NAME

v.random - Creates a GRASS site_lists file of randomly placed symbols (sites) within a GRASS vector area.
(SCS GRASS Vector Program)

## SYNOPSIS

v.random
v.random help
v.random [ -nsv] map=name [site=name] dot=name

## DESCRIPTION

allows a user to create a GRASS site_lists file containing sites randomly placed within an area. This program is designed for demographic map areas, and may NOT perform well for resource maps (very irregularly shaped polygons). The user provides the program with: a file (dot=) containing area category names [default] (the -n option allows the use of the area category number) and a count of dots for that name; input vector file name (map=), and a site_lists file name (site=). All sites in the site_lists file will have the same category code (1). v.random is made to work with the mapgen mapping package to create special symbols at the site locations.

### Flags:

-n
  Use category numbers NOT names.
-s
  Determine optimum dot size.
-v
  Verbose mode.

### Parameters:

map=name
  Input vector file name.
site=name
  Output site_lists file name.
dot=name
  File name containing labels and dot counts.

## FORMATS

The dotfile file format is:

                   -Using Names-    -Using Numbers-
                   area name_1:3    category_num_1:3
                   area name_2:15   category_num_1:15
                   area name_3:5    category_num_1:5
                   area name_n:54   category_num_1:54

## SEE ALSO

mapgen

## AUTHOR

R.L. Glenn, USDA, SCS, NHQ-CGIS
M.L. Holko, USDA, SCS, NHQ-CGIS

Last changed: $Date: 2002/01/25 05:45:35 $